Bug 16089 - still usb problems in initscripts
Summary: still usb problems in initscripts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-13 04:39 UTC by Gene Czarcinski
Modified: 2014-03-17 02:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 15:31:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2000-08-13 04:39:36 UTC
I am openint this as new since the base problem (15518) was not beta-only
(it was from the open beta).

This is also related to closed problems bug 15464 and bug 13605.

1.  USB support in intiscripts is still broken.

2. I am still getting the error messages reported in bug 13605.

3. Using NOUSB appended to the kernel parameters still has no effect (bug
15464).

4. It is now worse -- if I append NOUSB, I get a "FAILED" durring the boot
process for the usb startup.

Gene

Comment 1 Glen Foster 2000-08-13 20:15:44 UTC
This defect is considered MUST-FIX for Winston Gold-release

Comment 2 Trond Eivind Glomsrxd 2000-08-13 20:29:03 UTC
Did you do an upgrade from previous betas? kudzu should not add new controllers 
without IRQs, but won't remove them either.

Comment 3 Gene Czarcinski 2000-08-13 20:39:55 UTC
Nope ... fresh install.  This is highly repeatable.

Comment 4 Bill Nottingham 2000-08-14 05:02:05 UTC
In what way is it broken (how does it fail)?

nousb works fine here; did you actually specify
it in all caps?


Comment 5 Bill Nottingham 2000-08-14 05:04:03 UTC
(allcaps 'nousb' won't work in the current package, but has
been fixed in CVS.)

Comment 6 Gene Czarcinski 2000-08-14 07:42:26 UTC
Specified in all lower case.

I have no idea how it failed.  The "message" during bootup is "FAILED" after
saying Starting USB and the silly insmod error messages.

Comment 7 Bill Nottingham 2000-08-14 14:47:47 UTC
What initscripts do you have installed?

Comment 8 Gene Czarcinski 2000-08-14 15:26:25 UTC
I have initscripts-5.44-1 from rc1.

Bill -- important point:  I have some of the usb stuff disabled in the BIOS so
that I could "free up" an IRQ.  This may be "causing" the error messages.  On
other systems with USB such as the one I am on now, they also have USB but no
error messages and no problems.

BTW, if you have a newer version of initscripts you want me to test, give a
yell.

Gene

Comment 9 Bill Nottingham 2000-08-14 15:31:32 UTC
How are you doing 'nousb'?

Also, if you remove the usb-controller alias from
/etc/modules.conf, and then reboot (without 'nousb')
does it proceed normally?

Comment 10 Gene Czarcinski 2000-08-15 08:12:16 UTC
Removing "alias usc-controller ..." from /etc/modules works -- no error
messages.

More to the point, I am marking this bug resolved.  My brain must not have been
engaged -- I had NOUSB rather than nousb specified in a lilo append.  That,
coupled with the fact that I have a "partially" bios-disable usb resulted in the
error messages.

Thanks for the help and sorry for time lost.

On other systems I have with usb fully enabled, everything seems to work fine.

Gene


Note You need to log in before you can comment on or make changes to this bug.